
Robotics Service Bus - Tasks #1726
Release version 0.11
01/24/2014 09:40 PM - J. Moringen

Status: Resolved Start date: 01/24/2014
Priority: Normal Due date: 03/28/2014
Assignee: % Done: 100%
Category: Release Management Estimated time: 0.00 hour
Target version: rsb-0.11
Description

check mark: ✓

    1. Create branches
        -  project:rsc ✓ (#2145)
        -  project:rsb ✓
        -  project:rsbag ✓
        -  project:rsb-gstreamer ✓
        -  project:rst ✓
        -  project:rsbvideoreceiver ✓
        -  project:rsb-xml ✓
        -  project:rsb-depth-sensors ✓
    2. Update sphinx manuals in version branches (search for edit-on-version-bump)
        -  rsb-manual ✓
        -  rsbag-manual ✓
        -  rst-manual ✓
    3. Version bump
        -  project:rsc ✓ (#2145)
        -  project:rsb ✓
        -  project:rsbag ✓
        -  project:rsb-gstreamer ✓
        -  project:rst  ✓
        -  project:rsbvideoreceiver ✓
        -  project:rsb-xml ✓
        -  project:rsb-depth-sensors ✓
    4. Create build jobs ✓
    5. Add release news
        -  rsb-manual ✓
        -  rsbag-manual ✓ 
    6. Announce release
        -  In project:rsc redmine here ✓ (#2145)
        -  In project:rsb redmine here ✓
        -  In project:rst redmine here ✓
        -  On the mailing list
    7. Announce deprecation of 0.N - 2 release
        -  In project:rsb redmine here ✓
        -  On the mailing list
    8. Deploy java projects to CITEC maven repo
        -  rsb-java ✓
        -  rst ✓
        -  rsb-xml-java ✓
    9. create pypi deploy job on ci server ✓

04/19/2024 1/6

https://code.cor-lab.org/news/41
https://code.cor-lab.org/news/42
https://code.cor-lab.org/news/44
https://code.cor-lab.org/news/43


Related issues:
Related to Robotics Systems Commons - Tasks # 2145: Release version 0.11 Resolved 12/22/2014
Precedes Robotics Service Bus - Tasks # 2146: Release version 0.12 Resolved 03/31/2014 03/31/2014
Copied from Robotics Service Bus - Tasks # 1688: Release version 0.10 Closed 08/07/2013 08/07/2013

Associated revisions
Revision 50a51a15 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision f51542a3 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 0c08882e - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 64cee3c8 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision fd45c4e2 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 79c8e98e - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 992948e4 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision fffa461e - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 4770fe21 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 1255cfe1 - 12/22/2014 03:47 PM - J. Moringen
Version bump to 0.12.0, refs #1726

Revision 0ee70891 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 797a82fd - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision ca6f7bd1 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 9ca7f953 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 01159ae2 - 12/22/2014 03:47 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision bb72ae8e - 12/22/2014 03:53 PM - J. Moringen

Post-release adjustments in index.rst, install.rst

refs #1726

    -  index.rst: removed suggestion to use stable version
    -  install.rst (Debian Packages): do not mention testing repository

  (Binary Downloads): adjusted URLs

Revision 5f5bea70 - 12/22/2014 03:55 PM - J. Moringen

Post-release adjustments in index.rst

refs #1726

    -  index.rst: changed reference to stable manual to version 0.11

Revision 1a8ecbf0 - 12/22/2014 04:11 PM - J. Moringen

Version bump to 0.12.0, refs #1726
Revision a80d8812 - 12/22/2014 07:53 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision e2e35e62 - 12/22/2014 07:53 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 751fed94 - 12/22/2014 07:53 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision a08f10e5 - 12/22/2014 07:53 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 93da8100 - 12/22/2014 08:06 PM - J. Moringen

Post-release adjustments in index.rst

refs #1726

    -  index.rst: removed suggestion to use stable version

Revision 55262ae7 - 12/22/2014 08:06 PM - J. Moringen

Post-release adjustments in index.rst

refs #1726

    -  index.rst: changed reference to stable manual to version 0.11

Revision 9efb50d5 - 12/22/2014 09:03 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 259f3b8f - 12/22/2014 09:03 PM - J. Moringen

Version bump to 0.12.0, refs #1726

Revision 2c288306 - 12/22/2014 09:03 PM - J. Moringen

Version bump to 0.12.0, refs #1726
Revision f162da33 - 12/22/2014 09:03 PM - J. Moringen

Version bump to 0.12.0, refs #1726

History
#1 - 02/19/2014 12:57 PM - J. Wienke
- Description updated

#2 - 02/19/2014 01:48 PM - J. Wienke
- Description updated

#3 - 03/19/2014 02:59 PM - J. Wienke
- Description updated

#4 - 12/19/2014 10:01 PM - J. Moringen
- Status changed from New to In Progress

#5 - 12/22/2014 03:34 PM - J. Wienke
- Related to Tasks #2145: Release version 0.11 added

#6 - 12/22/2014 04:22 PM - J. Moringen
- Description updated
- % Done changed from 0 to 10

#7 - 12/22/2014 05:53 PM - J. Moringen
- Description updated

#8 - 12/22/2014 08:47 PM - J. Moringen
- Description updated
- % Done changed from 10 to 20

#9 - 12/22/2014 08:47 PM - J. Moringen
- Description updated

#10 - 12/22/2014 08:59 PM - J. Moringen
- Description updated

#11 - 12/23/2014 02:09 PM - J. Wienke
- Description updated

#12 - 12/23/2014 02:14 PM - J. Wienke
- Description updated
- % Done changed from 20 to 30

#13 - 12/23/2014 02:17 PM - J. Wienke
- Description updated

#14 - 12/23/2014 02:27 PM - J. Wienke
- Description updated

#15 - 12/23/2014 02:35 PM - J. Wienke
- Description updated
- % Done changed from 30 to 40

#16 - 12/23/2014 03:05 PM - J. Wienke
- Description updated
- % Done changed from 40 to 50

#17 - 12/23/2014 03:28 PM - J. Wienke
- Description updated
- % Done changed from 50 to 60

#18 - 12/23/2014 04:30 PM - J. Wienke
- Description updated

#19 - 12/23/2014 05:51 PM - J. Moringen
- Description updated
- % Done changed from 60 to 80

#20 - 12/30/2014 08:40 AM - J. Moringen
- Description updated

#21 - 12/30/2014 08:45 AM - J. Moringen
- Copied to Tasks #2146: Release version 0.12 added

#22 - 12/30/2014 08:49 AM - J. Moringen
- Copied to deleted (Tasks #2146: Release version 0.12)

#23 - 12/30/2014 08:49 AM - J. Moringen
- Precedes Tasks #2146: Release version 0.12 added

#24 - 01/07/2015 07:22 PM - J. Moringen
- Description updated
- % Done changed from 80 to 100

#25 - 01/08/2015 02:53 PM - J. Moringen
- Status changed from In Progress to Resolved
